require 'helper'

class TestSpec1MultimediaNodes < MiniTest::Unit::TestCase
  def load_program_fixture(spec_name)
    Program.new(version: GuidedPath::Parser::Spec1, scripts: {'test' => load_fixture("spec1/#{spec_name}")}, starting_script: 'test')

  end

  def test_image_node
    @program = load_program_fixture("image_simple.yml")
    assert_nodes_equal @program, {MultimediaNode => 1}
    assert_equal "http://businessnetworking.com/wp-content/uploads/2012/04/happy-face.jpg", @program.starting_node.url
    assert_equal "image", @program.starting_node.source

    @program = load_program_fixture("image_captions.yml")
    assert_nodes_equal @program, {MultimediaNode => 2}
    assert_equal @program.starting_node.caption, {text: "Some text", position: "bottom"}


    assert_equal @program.starting_node.next_node.caption, {text: "Some text on top", position: "top"}

  end

  def test_youtube_node
    @program = load_program_fixture("youtube_simple.yml")
    assert_nodes_equal @program, {MultimediaNode => 1}
    assert_equal "http://www.youtube.com/watch?v=aHrn3-Cb3iM", @program.starting_node.url
    assert_equal "youtube", @program.starting_node.source

    @program = load_program_fixture("youtube_captions.yml")
    assert_nodes_equal @program, {MultimediaNode => 2}
    assert_equal @program.starting_node.caption, {text: "Inspiring skateboarding!", position: "bottom"}


    assert_equal @program.starting_node.next_node.caption, {text: "Inspiring skateboarding!", position: "top"}

  end
end



