require 'helper'

class TestSpec1QuestionMultiple < MiniTest::Unit::TestCase
  def load_program_fixture(spec_name)
    Program.new(version: GuidedPath::Parser::Spec1, scripts: {'test' => load_fixture("spec1/#{spec_name}")}, starting_script: 'test')

  end

  def test_simple_question_node
    program = load_program_fixture("multiple_simple.yml")
    assert_nodes_equal program, {QuestionMultipleChoiceNode => 1, TextNode => 2}
    question = program.starting_node
    assert_kind_of QuestionMultipleChoiceNode,  question
    assert_equal question.text, "How are you feeling?"
    assert_equal question.to_hash[:text], "How are you feeling?"

    assert_kind_of TextNode,  question.answers['Unhappy']
  end

  def test_multiple_with_sub_questions

    program = load_program_fixture("multiple_with_sub_questions.yml")
    assert_nodes_equal program, {QuestionMultipleChoiceNode => 2, TextNode => 3}
  end


  def test_multiple_with_loops

    program = load_program_fixture("multiple_with_loops.yml")
    assert_kind_of QuestionMultipleChoiceNode, program.starting_node.answers['Banana'].next_node

    assert_equal program.starting_node.answers['Mango'].next_node, program.starting_node
  end
end



