require 'helper'

class TestSpec1Sequences < MiniTest::Unit::TestCase
  def load_program_fixture(spec_name)
    Program.new(version: GuidedPath::Parser::Spec1, scripts: {'test' => load_fixture("spec1/#{spec_name}")}, starting_script: 'test')

  end

  def test_simple_text_node
    @program = load_program_fixture("sequences_three_textnodes.yml")
    assert_nodes_equal @program, {TextNode => 3}

    assert_equal "The beginning", @program.starting_node.value
    assert_equal "The middle", @program.starting_node.next_node.value
    assert_equal "The end", @program.starting_node.next_node.next_node.value
    assert_equal nil, @program.starting_node.next_node.next_node.next_node
  end
end




