require 'helper'

class TestProgramOuput< MiniTest::Unit::TestCase
  def load_program_fixture(spec_name)
    Program.new(version: GuidedPath::Parser::Spec1, scripts: {'test' => load_fixture("spec1/#{spec_name}")}, starting_script: 'test')

  end

  def find_next_node(output, current_node = nil)
    if current_node == nil
      return output[:nodes][output[:starting_node]]
    else
      return output[:nodes][current_node[:next_node]]
    end
  end

  def test_empty_program
    @program = load_program_fixture("empty_file.yml")

    assert_equal @program.to_hash, {:starting_node => nil, :nodes => {}}
  end

  def test_single_node
    @program = load_program_fixture("textnode_simple_string.yml")
    output = @program.to_hash

    node = find_next_node(output)
    assert_equal node[:type], 'text'
    assert_equal node[:value], 'Welcome back!'
  end

  def test_multiple_nodes

    @program = load_program_fixture("sequences_three_textnodes.yml")
    output = @program.to_hash

    node = find_next_node(output)
    assert_equal node[:type], 'text'
    assert_equal node[:value], 'The beginning'

    node = find_next_node(output, node)
    assert_equal node[:type], 'text'
    assert_equal node[:value], 'The middle'

    node = find_next_node(output, node)
    assert_equal node[:type], 'text'
    assert_equal node[:value], 'The end'

  end
end


