require 'helper'

class TestProgramScriptHandling < MiniTest::Unit::TestCase
  def test_scripts_required
    # can't just pass in a script
    assert_raises ArgumentError do
      Program.new(:scripts => "test script")
    end

    # can't just pass in an empty hash
    assert_raises ArgumentError do
      Program.new(:scripts => {})
    end

    # can't pass in a hash of scripts without a starting script
    assert_raises ArgumentError do
      Program.new(scripts: {'test' => "testtextnode"})
    end

    # can't pass in a starting script that doesn't exist
    assert_raises ArgumentError do
      Program.new(scripts: {'test' => "testtextnode"}, starting_script: 'not_there') 
    end
  end


end


