require 'rubygems'
require 'bundler'
begin
  Bundler.setup(:default, :development)
rescue Bundler::BundlerError => e
  $stderr.puts e.message
  $stderr.puts "Run `bundle install` to install missing gems"
  exit e.status_code
end
require 'minitest/unit'

$LOAD_PATH.unshift(File.dirname(__FILE__))
$LOAD_PATH.unshift(File.join(File.dirname(__FILE__), '..', 'lib'))
require 'guided_path'


class MiniTest::Unit::TestCase
  include GuidedPath

  def load_fixture(fixture_name)
    filename = File.join(File.dirname(__FILE__), "fixtures", fixture_name)
    raise(ArgumentError, "Fixture file #{filename} not found") unless File.exists?(filename)
    File.open(filename, "rb").read
  end

  def assert_nodes_equal(program, nodes = {}, msg = nil)
    program_nodes = program.nodes.values.inject(Hash.new(0)) {|h,i| h[i.class] += 1; h }
    assert_equal(program_nodes, nodes, msg)
  end
end

MiniTest::Unit.autorun
